require 'spec_helper'
describe Rstsyn do

  it 'valid command line is identified as such' do
    line = ':precondition:     Name of Precondition'

    expect(Rstsyn::Parser.isCommandwithParameters? line).to be_kind_of(Fixnum)
    expect(Rstsyn::Parser.isAdditionalParameter? line).to be(nil)
    expect(Rstsyn::Parser.isTildeLine? line).to be(nil)
  end

  it 'valid additional parameter to identified as such' do
    line = '                   Parameter'

    expect(Rstsyn::Parser.isCommandwithParameters? line).to be(nil)
    expect(Rstsyn::Parser.isAdditionalParameter? line).to be_kind_of(Fixnum)
    expect(Rstsyn::Parser.isTildeLine? line).to be(nil)
  end

  it 'valid tildeline to as such' do
    line = '~~~~~~~~~'

    expect(Rstsyn::Parser.isCommandwithParameters? line).to be(nil)
    expect(Rstsyn::Parser.isAdditionalParameter? line).to be(nil)
    expect(Rstsyn::Parser.isTildeLine? line).to be_kind_of(Fixnum)
  end

  it 'dirty command line is converted cleanly with spaces' do
    line = ':precondition:     Name of Precondition'

    expect(Rstsyn::Parser.clean_command line).to eq(":precondition:                                    Name of Precondition")
  end

  it 'dirty additional parameter line is converted cleanly with spaces' do
    line = '                   Parameter'

    expect(Rstsyn::Parser.clean_additional line).to eq("                                                  Parameter")
  end

  it 'create TidleLine of certain length' do
    expect(Rstsyn::Parser.createTildeLine 10).to eq("~~~~~~~~~~")
  end

end
